[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Adding dependencies to e2fsprogs: libdevmapperr, libselinux and libsepoll

On Wed, Mar 08, 2006 at 11:07:24PM -0600, Peter Samuelson wrote:
> [Michael Banck]
> > Please take into consideration that libselinux is not available on
> > Debian's non-Linux ports.
> It's not libselinux you should be worried about, but libdevmapper.
> He's not depending on libselinux directly, but he notes that on Linux
> systems, the dependency chain will pull it in.

Actually, because of the e2fsck-static package, e2fsprogs has to have
a build-depends on libselinux.  There doesn't seem to be a way to say,
"except on non-Linux platforms" for a build-depends as far as I know,
unfortunately.  Any suggested solutions?

						- Ted

Reply to: